Skip to main content
PATCH
Update Table Schema

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tableName
string
required

Body

application/json
addColumns
object[]

Add new columns to the table

dropColumns
string[]

Remove columns from the table

Name of the column to drop

updateColumns
object[]

Modify existing columns (rename or change default)

addForeignKeys
object[]

Add foreign key constraints (one entry per constraint; composite keys list multiple column mappings)

dropForeignKeys
string[]

Constraint names of foreign keys to drop

Name of the foreign key constraint to drop

renameTable
object

Rename the table

Response

Table schema updated successfully

message
string

Success message

tableName
string

Name of the updated table

operations
string[]

List of operations performed